---
updatedAt: 2026-05-06T10:47:47.000Z
agentTools:
  projectIndex: https://docs.scalr.io/llms.txt
---

# Update a registry provider

This endpoint updates a registry provider.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "Provider": {
        "description": "The Terraform Registry Provider resource.",
        "properties": {
          "attributes": {
            "properties": {
              "description": {
                "description": "The description of the provider.",
                "maxLength": 255,
                "nullable": true,
                "type": "string"
              },
              "name": {
                "description": "The name of the provider.",
                "maxLength": 255,
                "type": "string"
              },
              "namespace": {
                "description": "The namespace this provider belongs to.",
                "readOnly": true,
                "type": "string"
              }
            },
            "required": [
              "name"
            ],
            "type": "object"
          },
          "id": {
            "readOnly": true,
            "type": "string"
          },
          "links": {
            "properties": {
              "self": {
                "readOnly": true,
                "type": "string"
              }
            },
            "readOnly": true,
            "type": "object"
          },
          "relationships": {
            "properties": {
              "latest-provider-version": {
                "description": "The latest version of the provider in any status.",
                "properties": {
                  "data": {
                    "nullable": true,
                    "properties": {
                      "id": {
                        "type": "string"
                      },
                      "type": {
                        "enum": [
                          "provider-versions",
                          ""
                        ],
                        "type": "string"
                      }
                    },
                    "required": [
                      "type",
                      "id"
                    ],
                    "type": "object"
                  }
                },
                "readOnly": true,
                "required": [
                  "data"
                ],
                "type": "object"
              },
              "provider-version": {
                "description": "The latest uploaded version of the provider.",
                "properties": {
                  "data": {
                    "nullable": true,
                    "properties": {
                      "id": {
                        "type": "string"
                      },
                      "type": {
                        "enum": [
                          "provider-versions",
                          ""
                        ],
                        "type": "string"
                      }
                    },
                    "required": [
                      "type",
                      "id"
                    ],
                    "type": "object"
                  }
                },
                "readOnly": true,
                "required": [
                  "data"
                ],
                "type": "object"
              }
            },
            "type": "object"
          },
          "type": {
            "enum": [
              "providers"
            ],
            "type": "string"
          }
        },
        "required": [
          "type",
          "attributes"
        ],
        "type": "object"
      },
      "ProviderDocument": {
        "description": "JSON:API Document.\n\nsee: https://jsonapi.org/format/#document-structure",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/Provider"
          },
          "included": {
            "items": {
              "type": "object"
            },
            "readOnly": true,
            "type": "array"
          },
          "meta": {
            "readOnly": true,
            "type": "object"
          }
        },
        "type": "object"
      }
    },
    "securitySchemes": {
      "API-Key": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Scalr IACP API",
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    },
    "title": "Scalr IACP API",
    "version": "unversioned"
  },
  "openapi": "3.0.0",
  "paths": {
    "/providers/{provider}": {
      "patch": {
        "description": "This endpoint updates a registry provider.",
        "operationId": "update_provider",
        "parameters": [
          {
            "description": "The ID of the provider to update.",
            "in": "path",
            "name": "provider",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/vnd.api+json": {
              "schema": {
                "$ref": "#/components/schemas/ProviderDocument"
              }
            }
          }
        },
        "responses": {
          "200": {
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ProviderDocument"
                }
              }
            },
            "description": "Updated."
          },
          "403": {
            "description": "User unauthorized to perform action."
          },
          "404": {
            "description": "Provider not found or user unauthorized to perform action."
          },
          "422": {
            "description": "Malformed request body (missing attributes, wrong types, etc.)."
          },
          "4XX": {
            "description": "Client error."
          },
          "5XX": {
            "description": "Server error."
          }
        },
        "summary": "Update a registry provider",
        "tags": [
          "providers"
        ],
        "x-resource": "Provider",
        "x-service": "tf-api"
      }
    }
  },
  "security": [
    {
      "API-Key": []
    }
  ],
  "servers": [
    {
      "url": "https://{Domain}/api/iacp/v3",
      "variables": {
        "Domain": {
          "default": "example.scalr.io",
          "description": "Domain where Scalr is hosted"
        }
      }
    }
  ]
}
```

# Sibling pages

* [List registry provider versions](https://docs.scalr.io/scalr/reference/list_provider_versions.md)
* [Create a registry provider version](https://docs.scalr.io/scalr/reference/create_provider_version.md)
* [Delete a provider version](https://docs.scalr.io/scalr/reference/delete_provider_version.md)
* [Get a provider version](https://docs.scalr.io/scalr/reference/get_provider_version.md)
* [List registry providers](https://docs.scalr.io/scalr/reference/list_providers.md)
* [Create a registry provider](https://docs.scalr.io/scalr/reference/create_provider.md)
* [Delete a registry provider](https://docs.scalr.io/scalr/reference/delete_provider.md)
* [Get a registry provider](https://docs.scalr.io/scalr/reference/get_provider.md)